Retrieve aggregated Facebook ad reporting metrics for a account

http
GET https://services.leadconnectorhq.com/ad-publishing/facebook/reporting

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesfRMewNQIxSyZ5R4nQyitAccount identifier
groupBystringYesmonthTime grouping interval
startDatestringYes2022-01-11Report start date
endDatestringYes2022-01-31Report end date
typestringYesAD_MANAGER or INTEGRATIONIntegration source type
fieldsstring[]YesComma-separated reporting fields

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?